from abc import ABC, abstractmethod

class ICalculator(ABC):
    """Interface Taschenrechner"""
    
    @abstractmethod
    def add(self, a, b):
        pass

    @abstractmethod
    def sub(self, a, b):
        pass

class Calculator(ICalculator):
    """Implementierung des Taschenrechners"""
    
    def add(self, a, b):
        return a + b

    def sub(self, a, b):
        return a - b
